Debian Bug report logs - #484873
packages.qa.debian.org: should it still list oldstable?

Package: qa.debian.org; Maintainer for qa.debian.org is debian-qa@lists.debian.org;

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sat, 7 Jun 2008 06:21:02 UTC

Severity: normal

Tags: wontfix

Done: Bart Martens <bartm@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#484873; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: packages.qa.debian.org: should it still list oldstable?
Date: Sat, 07 Jun 2008 08:17:35 +0200
Package: qa.debian.org
Severity: normal

As of now, oldstable is no longer supported (security-wise).

I wonder whether it should still be listed on p.q.d.o pages in such
situations, which might be misleading to out users.

(side comment: I think that the drop of support for oldstable has not been
announced widely enough)

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24-1-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#484873; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 484873@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Christian Perrier <bubulle@debian.org>, 484873@bugs.debian.org
Subject: Re: Bug#484873: packages.qa.debian.org: should it still list oldstable?
Date: Sat, 7 Jun 2008 12:20:04 +0200
Hi,

On Sat, 07 Jun 2008, Christian Perrier wrote:
> As of now, oldstable is no longer supported (security-wise).
> 
> I wonder whether it should still be listed on p.q.d.o pages in such
> situations, which might be misleading to out users.

The PTS is mostly static and it's painful to make stuff appear and
disappear based on a criteria that can't be checked programmatically.

Furthermore I do check the version of packages in oldstable even when
oldstable is no more supported for example to decide if I can drop the
version check in a build-dependency (if it's satisfied in old stable I
remove it, otherwise I keep it).

So my vote goes to keep it. If you solve the problem of detecting if
oldstable is supported or not, we can eventually put it in another color
or put a title attribute over it to mark it's no more supported.

> (side comment: I think that the drop of support for oldstable has not been
> announced widely enough)

My side comment would be that it would be better if we supported oldstable
until stable+1 is released (at least for some subset of the packages).

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#484873; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 484873@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 484873@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#484873: packages.qa.debian.org: should it still list oldstable?
Date: Sat, 7 Jun 2008 11:47:58 -0700
On Sat, Jun 07, 2008 at 12:20:04PM +0200, Raphael Hertzog wrote:

> On Sat, 07 Jun 2008, Christian Perrier wrote:
> > As of now, oldstable is no longer supported (security-wise).

> > I wonder whether it should still be listed on p.q.d.o pages in such
> > situations, which might be misleading to out users.

> The PTS is mostly static and it's painful to make stuff appear and
> disappear based on a criteria that can't be checked programmatically.

If you added a toggle for "is oldstable supported?", then surely that would
then be a programmatic check...?

> Furthermore I do check the version of packages in oldstable even when
> oldstable is no more supported for example to decide if I can drop the
> version check in a build-dependency (if it's satisfied in old stable I
> remove it, otherwise I keep it).

That seems like a pointless thing to check; it's only of benefit to users
who are trying to backport packages but haven't bothered fully upgrading
their environment to stable.  People shouldn't do that, and I don't see why
you would spend effort to make it easier for them to do that.

Anyway, at some point oldstable stops being available at all in the archive,
and then such checks cease to be practical, so why bother with them right
now either?

> So my vote goes to keep it. If you solve the problem of detecting if
> oldstable is supported or not, we can eventually put it in another color
> or put a title attribute over it to mark it's no more supported.

I think it's fair to leave oldstable listed on p.q.d.o until such time as
oldstable is dropped from the archive.  I guess mirror disk space is not a
pressing issue right now, since this hasn't happened yet.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#484873; Package qa.debian.org. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to <debian-qa@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 484873@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Steve Langasek <vorlon@debian.org>
Cc: 484873@bugs.debian.org, Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#484873: packages.qa.debian.org: should it still list oldstable?
Date: Sat, 7 Jun 2008 21:02:46 +0200
On Sat, 07 Jun 2008, Steve Langasek wrote:
> On Sat, Jun 07, 2008 at 12:20:04PM +0200, Raphael Hertzog wrote:
> 
> > On Sat, 07 Jun 2008, Christian Perrier wrote:
> > > As of now, oldstable is no longer supported (security-wise).
> 
> > > I wonder whether it should still be listed on p.q.d.o pages in such
> > > situations, which might be misleading to out users.
> 
> > The PTS is mostly static and it's painful to make stuff appear and
> > disappear based on a criteria that can't be checked programmatically.
> 
> If you added a toggle for "is oldstable supported?", then surely that would
> then be a programmatic check...?

The thing is that I don't want to have to keep that information
synchronized myself. I already have to manually update the current policy
version in the XSL stylesheet, I'd rather not add other similar
duplicate information that we have to keep in sync.

> > So my vote goes to keep it. If you solve the problem of detecting if
> > oldstable is supported or not, we can eventually put it in another color
> > or put a title attribute over it to mark it's no more supported.
> 
> I think it's fair to leave oldstable listed on p.q.d.o until such time as
> oldstable is dropped from the archive.  I guess mirror disk space is not a
> pressing issue right now, since this hasn't happened yet.

Right, when it disappear I think the download script starts complaining
anyway. :-)

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, <debian-qa@lists.debian.org>:
Bug#484873; Package qa.debian.org. Full text and rfc822 format available.

Message #23 received at 484873@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 484873@bugs.debian.org
Cc: Christian Perrier <bubulle@debian.org>
Subject: Re: Bug#484873: packages.qa.debian.org: should it still list oldstable?
Date: Fri, 13 Jun 2008 23:07:47 +0200
[Message part 1 (text/plain, inline)]
Re: Raphael Hertzog 2008-06-07 <20080607102004.GB32463@ouaza.com>
> On Sat, 07 Jun 2008, Christian Perrier wrote:
> > As of now, oldstable is no longer supported (security-wise).
> > 
> > I wonder whether it should still be listed on p.q.d.o pages in such
> > situations, which might be misleading to out users.
> 
> The PTS is mostly static and it's painful to make stuff appear and
> disappear based on a criteria that can't be checked programmatically.

Futhermore, oldstable information is very useful for the first months
after the next stable release. (The etch release was when I added
oldstable to DDPO.)

I'd opt to keep oldstable in the PTS as it would be impractical to
re-add it after each release and then drop it again once security
support is discontinued.

Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Tags added: wontfix Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Wed, 23 Jul 2008 18:21:02 GMT) Full text and rfc822 format available.

Reply sent to Bart Martens <bartm@debian.org>:
You have taken responsibility. (Wed, 31 Oct 2012 06:57:03 GMT) Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. (Wed, 31 Oct 2012 06:57:04 GMT) Full text and rfc822 format available.

Message #30 received at 484873-done@bugs.debian.org (full text, mbox):

From: Bart Martens <bartm@debian.org>
To: 484873-done@bugs.debian.org
Subject: packages.qa.debian.org: should it still list oldstable
Date: Wed, 31 Oct 2012 06:52:26 +0000
So far most people prefer to keep oldstable on the PTS.  The bug has been
tagged wontfix since 2008.  Closing now.  Feel free to reopen when new aspects
to consider surface.



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 Nov 2012 07:28:34 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 01:13:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.